Ubuntu

Missing firmware for em28xx DVB-T digital tuner

Reported by StuJordan on 2008-10-05
82
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux-firmware-nonfree (Ubuntu)
Wishlist
Tim Gardner
Declined for Intrepid by Tim Gardner
Karmic
Wishlist
Tim Gardner
Lucid
Wishlist
Cardus Troftnom

Bug Description

Firmware for digital tuner "Terratec Cinergy XS Hybrid", which is a em28xx based tuner.

Reports in dmesg that the firmware file is missing:

[ 31.688078] firmware: requesting xc3028-v27.fw
[ 31.712158] xc2028 2-0061: Error: firmware xc3028-v27.fw not found.

The tuner itself appears to be detected OK and it appears as an option under "Kaffeine"

Oct 5 12:46:45 stu-desktop kernel: [ 25.994616] tuner' 2-0061: chip found @ 0xc2 (em28xx #0)
Oct 5 12:46:45 stu-desktop kernel: [ 26.043833] xc2028 2-0061: creating new instance
Oct 5 12:46:45 stu-desktop kernel: [ 26.043838] xc2028 2-0061: type set to XCeive xc2028/xc3028 tuner
Oct 5 12:46:45 stu-desktop kernel: [ 26.043862] firmware: requesting xc3028-v27.fw
Oct 5 12:46:45 stu-desktop kernel: [ 26.165369] tvp5150 2-005c: tvp5150am1 detected.
Oct 5 12:46:45 stu-desktop kernel: [ 26.310118] em28xx #0: V4L2 device registered as /dev/video1 and /dev/vbi0
Oct 5 12:46:45 stu-desktop kernel: [ 26.310121] em28xx #0: Found Terratec Hybrid XS
Oct 5 12:46:45 stu-desktop kernel: [ 26.310194] usbcore: registered new interface driver zc3xx
Oct 5 12:46:45 stu-desktop kernel: [ 26.310198] zc3xx: registered
Oct 5 12:46:45 stu-desktop kernel: [ 26.341675] usbcore: registered new interface driver em28xx
Oct 5 12:46:45 stu-desktop kernel: [ 26.342788] usbcore: registered new interface driver snd-usb-audio
Oct 5 12:46:45 stu-desktop kernel: [ 26.584814] xc2028 2-0061: attaching existing instance
Oct 5 12:46:45 stu-desktop kernel: [ 26.584818] xc2028 2-0061: type set to XCeive xc2028/xc3028 tuner
Oct 5 12:46:45 stu-desktop kernel: [ 26.584821] em28xx #0/2: xc3028 attached
Oct 5 12:46:45 stu-desktop kernel: [ 26.584825] DVB: registering new adapter (em28xx #0)
Oct 5 12:46:45 stu-desktop kernel: [ 26.584828] DVB: registering frontend 0 (Zarlink ZL10353 DVB-T)...
Oct 5 12:46:45 stu-desktop kernel: [ 26.585256] Successfully loaded em28xx-dvb
Oct 5 12:46:45 stu-desktop kernel: [ 26.585258] Em28xx: Initialized (Em28xx dvb Extension) extension

The result is a black screen when entering TV mode in Kaffeine and unable to detect a signal.

After installing the firmware as

http://www.linuxtv.org/wiki/index.php/Xceive_XC3028/XC2028#How_to_Obtain_the_Firmware

the TV tuner now works in Kaffeine

mlx (myxal-mxl) wrote :

Having the same problem with AVerMedia E-506 Hybrid+FM Cardbus (saa7133 digitizer, but the same Xcieve tuner). Are there some licensing issues with the firmware? I'd like my card to work, after the saa driver finally made it into the kernel :-)

StuJordan, did you extract the firmware from the driver mentioned on that wiki or the driver for your card?

Peng Deng (d6g) wrote :

With the firmware file manually added at /lib/firmware/, the tv card works well. However, my laptop hangs during resume from suspend. Kernel log shows that during resume, the firmware can not be found:

Oct 2 14:54:58 strasbourg kernel: [ 335.492404] firmware: requesting xc3028-v27.fw
Oct 2 14:54:58 strasbourg kernel: [ 395.492043] xc2028 0-0061: Error: firmware xc3028-v27.fw not found.

More details can be found at Bug #279143

Peng Deng (d6g) wrote :

Quote from Devin Heitmueller at em28xx mailing list:

"Just to be clear, Ubuntu 8.10 ships with the version of the em28xx
driver that is maintained by the linux-dvb project. It is not the
version maintained by mcentral.de. As a result, some devices will
work and others will not, as there are devices supported in the
Mcentral.de driver and not in the linux-dvb driver (and vice-versa).

The Xceive 3028 firmware is not shipped with Ubuntu because Xceive has
not approved its redistribution. Mrec's version of the driver has the
firmware embedded in the source code."

Based on the last comment it seems there is not much Ubuntu can do until Xceive approves the firmware for redistribution.

Changed in linux:
importance: Undecided → Wishlist
status: New → Triaged

The problem still exists in the latest jaunty (apha 4) with latest patches.

affects: linux (Ubuntu) → linux-firmware (Ubuntu)
ju (clemenzi-santo-gmail) wrote :

Same story also on karmic kaoala (terratec)

Tim Gardner (timg-tpi) wrote :

Uploaded linux-firmware-nonfree_1.2

affects: linux-firmware (Ubuntu) → linux-firmware-nonfree (Ubuntu)
Changed in linux-firmware-nonfree (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: Triaged → In Progress
Changed in linux-firmware-nonfree (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Tim Gardner (timg-tpi) wrote :

Uploaded linux-firmware-nonfree-1.2

Changed in linux-firmware-nonfree (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware-nonfree - 1.2

---------------
linux-firmware-nonfree (1.2) lucid; urgency=low

  * Added xc3028-v27.fw
    -LP: #278656
 -- Tim Gardner <email address hidden> Mon, 23 Nov 2009 14:28:42 +0000

Changed in linux-firmware-nonfree (Ubuntu Lucid):
status: Fix Committed → Fix Released
Nicolas DERIVE (kalon33) wrote :

Sorry, but for lucid with version 1.2 it seems not installed yet after the update (according to the list of files installed from the package linux-firmware-nonfree)

Nicolas DERIVE (kalon33) wrote :

Tim Gardner, need to reopen it ?

Tim Gardner (timg-tpi) wrote :

Uploaded linux-firmware-nonfree-1.3 with rules tweak to include files in firmware/*.

Changed in linux-firmware-nonfree (Ubuntu Lucid):
status: Fix Released → Fix Committed
Tim Gardner (timg-tpi) wrote :

Uploaded linux-firmware-nonfree-1.2ubuntu1 with rules tweak to include files in firmware/*.

Changed in linux-firmware-nonfree (Ubuntu Karmic):
importance: Undecided → Wishlist
Martin Pitt (pitti) wrote :

Tim, there are two -proposed uploads in the queue:

 linux-firmware-nonfree (1.2) karmic-proposed; urgency=low
 .
   * Added xc3028-v27.fw
     -LP: #278656

This doesn't work, since 1.2 was already uploaded to lucid.

 linux-firmware-nonfree (1.2ubuntu1) karmic-proposed; urgency=low
 .
   * Rules tweak to include files in firmware/*

This version number is okay (although 1.2.1 would be more in line with this ubuntu-native package), but does not refer to a bug in the changelog.

I rejected both. Could you please reupload 1.2ubuntu1 with a fixed changelog (just describing the changes that these two previous uploads intended to make), and perhaps using 1.2.1? Thanks!

Tim Gardner (timg-tpi) wrote :

Martin - Uploaded linux-firmware-nonfree-1.2.1 to karmic per your comments in https://bugs.edge.launchpad.net/ubuntu/+source/linux-firmware-nonfree/+bug/278656/comments/17

Accepted linux-firmware-nonfree into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
mkalbere (info-programmers) wrote :
Download full text (5.4 KiB)

ref: HVR 900

Hello,
I tested the "extracted firmware" and the one proposed by linux-firmware-nonfree (1.2.1)

/dev/dvb is still not created and kaffeine won't detect any device

I have an other PVR150 tv card (could this conflict ? )

 lsmod | grep em
em28xx_dvb 11172 0
em28xx_alsa 9508 1
em28xx 95184 2 em28xx_dvb,em28xx_alsa
dvb_core 104528 1 em28xx_dvb
snd_pcm 93160 5 em28xx_alsa,snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_pcm_oss
ir_common 52740 1 em28xx
videobuf_vmalloc 7844 1 em28xx
v4l2_common 21024 7 em28xx,tvp5150,wm8775,tuner,cx25840,ivtv,cx2341x
videodev 43360 8 em28xx,tvp5150,wm8775,tuner,cx25840,pwc,ivtv,v4l2_common
videobuf_core 21188 2 em28xx,videobuf_vmalloc
tveeprom 14884 2 em28xx,ivtv
snd 77096 22 em28xx_alsa,snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_

[ 1172.059545] em28xx #0: disconnecting em28xx #0 video
[ 1172.140116] em28xx #0: V4L2 device /dev/vbi0 deregistered
[ 1172.140174] em28xx #0: V4L2 device /dev/video2 deregistered
[ 1172.140297] xc2028 1-0061: destroying instance
[ 1194.143439] Em28xx: Removed (Em28xx Audio Extension) extension
[ 1194.144242] Em28xx: Removed (Em28xx dvb Extension) extension
[ 1194.144764] usbcore: deregistering interface driver em28xx
[ 1207.480023] usb 1-3: new high speed USB device using ehci_hcd and address 5
[ 1207.635437] usb 1-3: configuration #1 chosen from 1 choice
[ 1207.650321] em28xx: New device WinTV HVR-900 @ 480 Mbps (2040:6502, interface 0, class 0)
[ 1207.650463] em28xx #0: chip ID is em2882/em2883
[ 1207.854968] em28xx #0: i2c eeprom 00: 1a eb 67 95 40 20 02 65 d0 12 5c 03 82 1e 6a 18
[ 1207.854982] em28xx #0: i2c eeprom 10: 00 00 24 57 66 07 01 00 00 00 00 00 00 00 00 00
[ 1207.854994] em28xx #0: i2c eeprom 20: 46 00 01 00 f0 10 02 00 b8 00 00 00 5b e0 00 00
[ 1207.855006] em28xx #0: i2c eeprom 30: 00 00 20 40 20 6e 02 20 10 01 01 01 00 00 00 00
[ 1207.855018] em28xx #0: i2c eeprom 40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[ 1207.855030] em28xx #0: i2c eeprom 50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[ 1207.855042] em28xx #0: i2c eeprom 60: 00 00 00 00 00 00 00 00 00 00 18 03 34 00 30 00
[ 1207.855054] em28xx #0: i2c eeprom 70: 33 00 30 00 36 00 30 00 34 00 34 00 38 00 35 00
[ 1207.855066] em28xx #0: i2c eeprom 80: 00 00 1e 03 57 00 69 00 6e 00 54 00 56 00 20 00
[ 1207.855078] em28xx #0: i2c eeprom 90: 48 00 56 00 52 00 2d 00 39 00 30 00 30 00 00 00
[ 1207.855089] em28xx #0: i2c eeprom a0: 84 12 00 00 05 50 1a 7f d4 78 23 fa fd d0 38 89
[ 1207.855101] em28xx #0: i2c eeprom b0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 c5 24
[ 1207.855113] em28xx #0: i2c eeprom c0: 3e f0 74 02 01 00 01 79 13 00 00 00 00 00 00 00
[ 1207.855125] em28xx #0: i2c eeprom d0: 84 12 00 00 05 50 1a 7f d4 78 23 fa fd d0 38 89
[ 1207.855137] em28xx #0: i2c eeprom e0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 c5 24
[ 1207.855149] em28xx #0: i2c eeprom f0: 3e f0 74 02 01 00 01 79 13 00 00 00 00 00 00 00
[ 1207.855162] em28xx #0: EEPROM ID=...

Read more...

jpuxan (jpuxan) wrote :

The Proposed package works great for me.

My card is Terratec Cinergy HT PCI.

Many thanks

Martin Pitt (pitti) on 2009-12-05
tags: added: verification-done
removed: verification-needed

Works fine for me too with an HVR 900, analogue tuner, composite in, digital tuner all work fin.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware-nonfree - 1.2.1

---------------
linux-firmware-nonfree (1.2.1) karmic-proposed; urgency=low

  * Rules tweak to include files in firmware/*. Otherwise firmware files
    not in a sub-directory under firmware are ignored.
  * Added xc3028-v27.fw
    -LP: #278656
 -- Tim Gardner <email address hidden> Mon, 30 Nov 2009 08:01:09 -0700

Changed in linux-firmware-nonfree (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

/lib/firmware/xc3028-v27.fw is in the lucid version.

Changed in linux-firmware-nonfree (Ubuntu Lucid):
milestone: none → lucid-alpha-2
status: Fix Committed → Fix Released
Rocci (rocci) wrote :

This has solved the same problem for me in Lucid.
Using a Leadtek Winfast PxDVR3200H which uses the Xceive tuner and thus requires the xc3028 firmware.
Here is a snippet of dmesg where you can see the connexant cx23885 fails when calling for the xc3028:
[87212.321168] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87212.817558] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87212.821636] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87213.826868] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87213.830955] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87214.836756] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87214.840905] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87215.332971] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87215.337075] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87216.336833] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87216.341018] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87217.356759] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87217.360650] xc2028 1-0061: Error: firmware xc3028-v27.fw not found.
[87697.432050] cx23885 0000:03:00.0: firmware: requesting xc3028-v27.fw
[87697.436599] xc2028 1-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[87697.639143] xc2028 1-0061: Loading firmware for type=BASE F8MHZ (3), id 0000000000000000.
[87698.810198] xc2028 1-0061: Loading firmware for type=D2633 DTV7 (90), id 0000000000000000.
[87698.824291] xc2028 1-0061: Loading SCODE for type=SCODE HAS_IF_5260 (60000000), id 0000000000000000.

You can see where the firmware was loaded after I installed this package and then my card started to work.
Thanks very much for resolving this bug.

.cobnet (mattias-campe) wrote :

It took me some time to be able to make my "AVerMedia AVerTV Hybrid+FM" pci-card to work. The chip on the card mentions "AVerMedia A16D-C" and SAA7135. I tried to make it work on Ubuntu 10.10 Maverick Meerkat, but failed, until I found this page. After installing linux-firmware-nonfree, it just worked. I add this comment, so that others that have the same card will find this page more quickly.

I hope that the rest of my HTPC experience will go more smoothly.

Changed in linux-firmware-nonfree (Ubuntu Lucid):
assignee: Tim Gardner (timg-tpi) → Cardus Troftnom (lvd1jn0oc)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments